[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetAutoSize

Sets the value for the AutoSize property.

## Declaration

Source position: controls.pp line 1366

`protected procedure TControl.SetAutoSize(`
`Value: Boolean`
`); virtual;`

## Arguments

`Value` |  | New value for the AutoSize property.

## Description

Calls AdjustSize when the property is enabled.

## See also

TControl.AdjustSize |  | Smart way to DoAutoSize.
TControl.AutoSize |  | Allows automatic adjustment of the size for the control, according to its content.